<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = 'admin';
    protected function authenticated(Request $request, $user){   
    if ( Auth::user()->estado == 'INACTIVO' ) {// do your margic here
        $this->guard()->logout();

        $request->session()->invalidate();

        return redirect('error');
    }
    if ( Auth::user()->role == 'admin' ) {// do your margic here
        return redirect('/admin');
    }
    if ( Auth::user()->role == 'cliente' ) {// do your margic here
        return redirect('/requerimientos');
    }
    if ( Auth::user()->role == 'desarrollador' ) {// do your margic here
        return redirect('/requerimientos');
    }
    
     return redirect('/inicio');
    }
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }
}
